## libowfat 0.24

=== Makefile ===
# do not edit!  edit GNUmakefile instead
# Warning!  There is no real "make install" support.
# The include files are named after the djb, i.e. pretty generic.  They
# will probably conflict with other headers.  That's why I install them
# in /opt/diet, where they are in the default search path for my diet libc
# work but don't conflict with anything there.  YMMV.

prefix=/opt/diet
LIBDIR=${prefix}/lib
INCLUDEDIR=${prefix}/include
MAN3DIR=${prefix}/man/man3

LIBS=byte.a fmt.a scan.a str.a uint.a open.a stralloc.a unix.a socket.a \
buffer.a mmap.a taia.a tai.a dns.a case.a mult.a array.a io.a textcode.a

all: t $(LIBS) libowfat.a libsocket

CC=gcc
CFLAGS=-pipe -W -Wall -O2 -fomit-frame-pointer
#CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall

# CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2

array_allocate.o: array/array_allocate.c safemult.h uint16.h \
  uint32.h uint64.h array.h byte.h
array_bytes.o: array/array_bytes.c array.h uint64.h
array_cat.o: array/array_cat.c array.h uint64.h byte.h
array_cat0.o: array/array_cat0.c array.h uint64.h
array_catb.o: array/array_catb.c array.h uint64.h byte.h
array_cate.o: array/array_cate.c array.h uint64.h
array_cats.o: array/array_cats.c array.h uint64.h str.h
array_cats0.o: array/array_cats0.c array.h uint64.h str.h
array_equal.o: array/array_equal.c byte.h array.h uint64.h
array_fail.o: array/array_fail.c array.h uint64.h
array_get.o: array/array_get.c safemult.h uint16.h uint32.h \
  uint64.h array.h
array_length.o: array/array_length.c array.h uint64.h
array_reset.o: array/array_reset.c array.h uint64.h
array_start.o: array/array_start.c array.h uint64.h
array_trunc.o: array/array_trunc.c array.h uint64.h
array_truncate.o: array/array_truncate.c safemult.h uint16.h \
  uint32.h uint64.h array.h
buffer_0.o: buffer/buffer_0.c buffer.h
buffer_0small.o: buffer/buffer_0small.c buffer.h
buffer_1.o: buffer/buffer_1.c buffer.h
buffer_1small.o: buffer/buffer_1small.c buffer.h
buffer_2.o: buffer/buffer_2.c buffer.h
buffer_close.o: buffer/buffer_close.c buffer.h
buffer_feed.o: buffer/buffer_feed.c buffer.h
buffer_flush.o: buffer/buffer_flush.c buffer.h
buffer_fromsa.o: buffer/buffer_fromsa.c stralloc.h buffer.h
buffer_get.o: buffer/buffer_get.c byte.h buffer.h
buffer_get_new_token_sa.o: buffer/buffer_get_new_token_sa.c stralloc.h \
  buffer.h
buffer_get_new_token_sa_pred.o: buffer/buffer_get_new_token_sa_pred.c \
  stralloc.h buffer.h
buffer_get_token.o: buffer/buffer_get_token.c byte.h buffer.h \
  scan.h
buffer_get_token_pred.o: buffer/buffer_get_token_pred.c byte.h \
  buffer.h scan.h
buffer_get_token_sa.o: buffer/buffer_get_token_sa.c byte.h stralloc.h \
  buffer.h
buffer_get_token_sa_pred.o: buffer/buffer_get_token_sa_pred.c byte.h \
  stralloc.h buffer.h
buffer_getc.o: buffer/buffer_getc.c byte.h buffer.h
buffer_getline.o: buffer/buffer_getline.c buffer.h
buffer_getline_sa.o: buffer/buffer_getline_sa.c stralloc.h buffer.h
buffer_getn.o: buffer/buffer_getn.c byte.h buffer.h
buffer_getnewline_sa.o: buffer/buffer_getnewline_sa.c stralloc.h \
  buffer.h
buffer_init.o: buffer/buffer_init.c buffer.h
buffer_init_free.o: buffer/buffer_init_free.c buffer.h
buffer_mmapread.o: buffer/buffer_mmapread.c buffer.h mmap.h
buffer_peek.o: buffer/buffer_peek.c buffer.h
buffer_put.o: buffer/buffer_put.c byte.h buffer.h
buffer_put8long.o: buffer/buffer_put8long.c buffer.h fmt.h
buffer_putalign.o: buffer/buffer_putalign.c byte.h buffer.h
buffer_puterror.o: buffer/buffer_puterror.c buffer.h
buffer_puterror2.o: buffer/buffer_puterror2.c buffer.h
buffer_putflush.o: buffer/buffer_putflush.c buffer.h
buffer_putlong.o: buffer/buffer_putlong.c buffer.h fmt.h
buffer_putlonglong.o: buffer/buffer_putlonglong.c buffer.h fmt.h
buffer_putm_internal.o: buffer/buffer_putm_internal.c buffer.h
buffer_putm_internal_flush.o: buffer/buffer_putm_internal_flush.c \
  buffer.h
buffer_putnlflush.o: buffer/buffer_putnlflush.c str.h buffer.h
buffer_puts.o: buffer/buffer_puts.c str.h buffer.h
buffer_putsa.o: buffer/buffer_putsa.c stralloc.h buffer.h
buffer_putsaflush.o: buffer/buffer_putsaflush.c stralloc.h buffer.h
buffer_putsalign.o: buffer/buffer_putsalign.c str.h buffer.h
buffer_putsflush.o: buffer/buffer_putsflush.c str.h buffer.h
buffer_putspace.o: buffer/buffer_putspace.c str.h buffer.h
buffer_putulong.o: buffer/buffer_putulong.c buffer.h fmt.h
buffer_putulonglong.o: buffer/buffer_putulonglong.c buffer.h fmt.h
buffer_putxlong.o: buffer/buffer_putxlong.c buffer.h fmt.h
buffer_seek.o: buffer/buffer_seek.c buffer.h
buffer_stubborn.o: buffer/buffer_stubborn.c buffer.h
buffer_stubborn2.o: buffer/buffer_stubborn2.c buffer.h
errmsg_cvt.o: buffer/errmsg_cvt.c errmsg.h str.h
errmsg_iam.o: buffer/errmsg_iam.c errmsg.h
errmsg_info.o: buffer/errmsg_info.c errmsg.h str.h
errmsg_infosys.o: buffer/errmsg_infosys.c errmsg.h str.h
errmsg_warn.o: buffer/errmsg_warn.c errmsg.h str.h
errmsg_warnsys.o: buffer/errmsg_warnsys.c errmsg.h str.h
errmsg_writesys.o: buffer/errmsg_writesys.c errmsg.h str.h
byte_chr.o: byte/byte_chr.c byte.h
byte_copy.o: byte/byte_copy.c byte.h
byte_copyr.o: byte/byte_copyr.c byte.h
byte_diff.o: byte/byte_diff.c byte.h
byte_rchr.o: byte/byte_rchr.c byte.h
byte_zero.o: byte/byte_zero.c byte.h
case_diffb.o: case/case_diffb.c case.h
case_diffs.o: case/case_diffs.c case.h
case_lowerb.o: case/case_lowerb.c case.h
case_lowers.o: case/case_lowers.c case.h
case_starts.o: case/case_starts.c case.h
dns_dfd.o: dns/dns_dfd.c byte.h dns.h stralloc.h iopause.h \
  taia.h tai.h uint64.h
dns_domain.o: dns/dns_domain.c case.h byte.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h
dns_dtda.o: dns/dns_dtda.c stralloc.h dns.h stralloc.h iopause.h \
  taia.h tai.h uint64.h
dns_ip.o: dns/dns_ip.c stralloc.h uint16.h byte.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h
dns_ip6.o: dns/dns_ip6.c stralloc.h uint16.h byte.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h ip4.h ip6.h \
  byte.h uint32.h
dns_ipq.o: dns/dns_ipq.c stralloc.h case.h byte.h str.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h
dns_ipq6.o: dns/dns_ipq6.c stralloc.h case.h byte.h str.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h
dns_mx.o: dns/dns_mx.c stralloc.h byte.h uint16.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h
dns_name.o: dns/dns_name.c stralloc.h uint16.h byte.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h ip6.h byte.h \
  uint32.h
dns_nd.o: dns/dns_nd.c byte.h fmt.h dns.h stralloc.h iopause.h \
  taia.h tai.h uint64.h
dns_nd6.o: dns/dns_nd6.c byte.h fmt.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h haveinline.h
dns_packet.o: dns/dns_packet.c dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h
dns_random.o: dns/dns_random.c dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h taia.h uint32.h
dns_rcip.o: dns/dns_rcip.c taia.h tai.h uint64.h openreadclose.h \
  stralloc.h byte.h ip4.h ip6.h byte.h uint32.h dns.h \
  iopause.h taia.h
dns_rcrw.o: dns/dns_rcrw.c taia.h tai.h uint64.h byte.h str.h \
  openreadclose.h stralloc.h dns.h iopause.h taia.h
dns_resolve.o: dns/dns_resolve.c iopause.h taia.h tai.h uint64.h \
  taia.h byte.h dns.h stralloc.h iopause.h ip6.h byte.h \
  uint32.h
dns_sortip.o: dns/dns_sortip.c byte.h dns.h stralloc.h iopause.h \
  taia.h tai.h uint64.h
dns_sortip6.o: dns/dns_sortip6.c byte.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h
dns_transmit.o: dns/dns_transmit.c socket.h uint16.h uint32.h \
  byte.h uint16.h dns.h stralloc.h iopause.h taia.h tai.h \
  uint64.h ip6.h byte.h
dns_txt.o: dns/dns_txt.c stralloc.h uint16.h byte.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h
fmt_8long.o: fmt/fmt_8long.c fmt.h
fmt_8longlong.o: fmt/fmt_8longlong.c fmt.h
fmt_double.o: fmt/fmt_double.c fmt.h
fmt_fill.o: fmt/fmt_fill.c fmt.h
fmt_httpdate.o: fmt/fmt_httpdate.c fmt.h byte.h
fmt_human.o: fmt/fmt_human.c fmt.h
fmt_humank.o: fmt/fmt_humank.c fmt.h
fmt_long.o: fmt/fmt_long.c fmt.h
fmt_longlong.o: fmt/fmt_longlong.c fmt.h
fmt_minus.o: fmt/fmt_minus.c fmt.h
fmt_pad.o: fmt/fmt_pad.c fmt.h
fmt_plusminus.o: fmt/fmt_plusminus.c fmt.h
fmt_str.o: fmt/fmt_str.c fmt.h
fmt_strn.o: fmt/fmt_strn.c fmt.h
fmt_tohex.o: fmt/fmt_tohex.c fmt.h
fmt_ulong.o: fmt/fmt_ulong.c fmt.h
fmt_ulong0.o: fmt/fmt_ulong0.c fmt.h
fmt_ulonglong.o: fmt/fmt_ulonglong.c fmt.h
fmt_xlong.o: fmt/fmt_xlong.c fmt.h haveinline.h
fmt_xlonglong.o: fmt/fmt_xlonglong.c fmt.h
io_appendfile.o: io/io_appendfile.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_canread.o: io/io_canread.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_canwrite.o: io/io_canwrite.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_check.o: io/io_check.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_close.o: io/io_close.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_closeonexec.o: io/io_closeonexec.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_createfile.o: io/io_createfile.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_dontwantread.o: io/io_dontwantread.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_dontwantwrite.o: io/io_dontwantwrite.c io_internal.h io.h \
  uint64.h taia.h tai.h array.h haveepoll.h havekqueue.h \
  havedevpoll.h havesigio.h
io_eagain.o: io/io_eagain.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_fd.o: io/io_fd.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h \
  byte.h
io_finishandshutdown.o: io/io_finishandshutdown.c io_internal.h io.h \
  uint64.h taia.h tai.h array.h haveepoll.h havekqueue.h \
  havedevpoll.h havesigio.h
io_getcookie.o: io/io_getcookie.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_mmapwritefile.o: io/io_mmapwritefile.c io_internal.h io.h \
  uint64.h taia.h tai.h array.h haveepoll.h havekqueue.h \
  havedevpoll.h havesigio.h iob.h
io_nonblock.o: io/io_nonblock.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_passfd.o: io/io_passfd.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_pipe.o: io/io_pipe.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_readfile.o: io/io_readfile.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_readwritefile.o: io/io_readwritefile.c io_internal.h io.h \
  uint64.h taia.h tai.h array.h haveepoll.h havekqueue.h \
  havedevpoll.h havesigio.h
io_receivefd.o: io/io_receivefd.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_sendfile.o: io/io_sendfile.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h havebsdsf.h havesendfile.h
io_setcookie.o: io/io_setcookie.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_sigpipe.o: io/io_sigpipe.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_socketpair.o: io/io_socketpair.c windoze.h io_internal.h io.h \
  uint64.h taia.h tai.h array.h haveepoll.h havekqueue.h \
  havedevpoll.h havesigio.h
io_timeout.o: io/io_timeout.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h

## libowfat 0.27

=== Makefile ===
# do not edit!  edit GNUmakefile instead
# Warning!  There is no real "make install" support.
# The include files are named after the djb, i.e. pretty generic.  They
# will probably conflict with other headers.  That's why I install them
# in /opt/diet, where they are in the default search path for my diet libc
# work but don't conflict with anything there.  YMMV.

prefix=/opt/diet
LIBDIR=${prefix}/lib
INCLUDEDIR=${prefix}/include
MAN3DIR=${prefix}/man/man3

LIBS=byte.a fmt.a scan.a str.a uint.a open.a stralloc.a unix.a socket.a \
buffer.a mmap.a taia.a tai.a dns.a case.a mult.a array.a io.a \
textcode.a cdb.a

all: t $(LIBS) libowfat.a libsocket

CROSS=
#CROSS=i686-mingw-
CC=$(CROSS)gcc
CFLAGS=-pipe -W -Wall -O2 -fomit-frame-pointer
#CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall

# CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2

CFLAGS += -D_REENTRANT

array_allocate.o: array/array_allocate.c safemult.h uint16.h uint32.h \
  uint64.h array.h byte.h
array_bytes.o: array/array_bytes.c array.h uint64.h
array_cat.o: array/array_cat.c array.h uint64.h byte.h
array_cat0.o: array/array_cat0.c array.h uint64.h
array_catb.o: array/array_catb.c array.h uint64.h byte.h
array_cate.o: array/array_cate.c array.h uint64.h
array_cats.o: array/array_cats.c array.h uint64.h str.h
array_cats0.o: array/array_cats0.c array.h uint64.h str.h
array_equal.o: array/array_equal.c byte.h array.h uint64.h
array_fail.o: array/array_fail.c array.h uint64.h
array_get.o: array/array_get.c safemult.h uint16.h uint32.h uint64.h \
  array.h
array_length.o: array/array_length.c array.h uint64.h
array_reset.o: array/array_reset.c array.h uint64.h
array_start.o: array/array_start.c array.h uint64.h
array_trunc.o: array/array_trunc.c array.h uint64.h
array_truncate.o: array/array_truncate.c safemult.h uint16.h uint32.h \
  uint64.h array.h
buffer_0.o: buffer/buffer_0.c buffer.h
buffer_0small.o: buffer/buffer_0small.c buffer.h
buffer_1.o: buffer/buffer_1.c buffer.h
buffer_1small.o: buffer/buffer_1small.c buffer.h
buffer_2.o: buffer/buffer_2.c buffer.h
buffer_close.o: buffer/buffer_close.c buffer.h
buffer_feed.o: buffer/buffer_feed.c buffer.h
buffer_flush.o: buffer/buffer_flush.c buffer.h
buffer_fromsa.o: buffer/buffer_fromsa.c stralloc.h buffer.h
buffer_get.o: buffer/buffer_get.c byte.h buffer.h
buffer_get_new_token_sa.o: buffer/buffer_get_new_token_sa.c stralloc.h \
  buffer.h
buffer_get_new_token_sa_pred.o: buffer/buffer_get_new_token_sa_pred.c \
  stralloc.h buffer.h
buffer_get_token.o: buffer/buffer_get_token.c byte.h buffer.h scan.h
buffer_get_token_pred.o: buffer/buffer_get_token_pred.c byte.h buffer.h \
  scan.h
buffer_get_token_sa.o: buffer/buffer_get_token_sa.c byte.h stralloc.h \
  buffer.h
buffer_get_token_sa_pred.o: buffer/buffer_get_token_sa_pred.c byte.h \
  stralloc.h buffer.h
buffer_getc.o: buffer/buffer_getc.c byte.h buffer.h
buffer_getline.o: buffer/buffer_getline.c buffer.h
buffer_getline_sa.o: buffer/buffer_getline_sa.c stralloc.h buffer.h
buffer_getn.o: buffer/buffer_getn.c byte.h buffer.h
buffer_getnewline_sa.o: buffer/buffer_getnewline_sa.c stralloc.h buffer.h
buffer_init.o: buffer/buffer_init.c buffer.h
buffer_init_free.o: buffer/buffer_init_free.c buffer.h
buffer_mmapread.o: buffer/buffer_mmapread.c buffer.h mmap.h
buffer_peek.o: buffer/buffer_peek.c buffer.h
buffer_put.o: buffer/buffer_put.c byte.h buffer.h
buffer_put8long.o: buffer/buffer_put8long.c buffer.h fmt.h
buffer_putalign.o: buffer/buffer_putalign.c byte.h buffer.h
buffer_puterror.o: buffer/buffer_puterror.c buffer.h
buffer_puterror2.o: buffer/buffer_puterror2.c buffer.h
buffer_putflush.o: buffer/buffer_putflush.c buffer.h
buffer_putlong.o: buffer/buffer_putlong.c buffer.h fmt.h
buffer_putlonglong.o: buffer/buffer_putlonglong.c buffer.h fmt.h
buffer_putm_internal.o: buffer/buffer_putm_internal.c buffer.h
buffer_putm_internal_flush.o: buffer/buffer_putm_internal_flush.c \
  buffer.h
buffer_putnlflush.o: buffer/buffer_putnlflush.c str.h buffer.h
buffer_puts.o: buffer/buffer_puts.c str.h buffer.h
buffer_putsa.o: buffer/buffer_putsa.c stralloc.h buffer.h
buffer_putsaflush.o: buffer/buffer_putsaflush.c stralloc.h buffer.h
buffer_putsalign.o: buffer/buffer_putsalign.c str.h buffer.h
buffer_putsflush.o: buffer/buffer_putsflush.c str.h buffer.h
buffer_putspace.o: buffer/buffer_putspace.c str.h buffer.h
buffer_putulong.o: buffer/buffer_putulong.c buffer.h fmt.h
buffer_putulonglong.o: buffer/buffer_putulonglong.c buffer.h fmt.h
buffer_putxlong.o: buffer/buffer_putxlong.c buffer.h fmt.h
buffer_seek.o: buffer/buffer_seek.c buffer.h
buffer_stubborn.o: buffer/buffer_stubborn.c buffer.h
buffer_stubborn2.o: buffer/buffer_stubborn2.c buffer.h
errmsg_iam.o: buffer/errmsg_iam.c errmsg.h
errmsg_info.o: buffer/errmsg_info.c errmsg.h errmsg_int.h str.h
errmsg_infosys.o: buffer/errmsg_infosys.c errmsg.h errmsg_int.h str.h
errmsg_puts.o: buffer/errmsg_puts.c errmsg.h errmsg_int.h str.h
errmsg_warn.o: buffer/errmsg_warn.c errmsg.h errmsg_int.h str.h
errmsg_warnsys.o: buffer/errmsg_warnsys.c errmsg.h errmsg_int.h str.h
errmsg_write.o: buffer/errmsg_write.c errmsg.h errmsg_int.h
byte_chr.o: byte/byte_chr.c byte.h
byte_copy.o: byte/byte_copy.c byte.h
byte_copyr.o: byte/byte_copyr.c byte.h
byte_diff.o: byte/byte_diff.c byte.h
byte_rchr.o: byte/byte_rchr.c byte.h
byte_zero.o: byte/byte_zero.c byte.h
case_diffb.o: case/case_diffb.c case.h
case_diffs.o: case/case_diffs.c case.h
case_lowerb.o: case/case_lowerb.c case.h
case_lowers.o: case/case_lowers.c case.h
case_starts.o: case/case_starts.c case.h
cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h
cdb_hash.o: cdb/cdb_hash.c cdb.h uint32.h uint64.h
cdb_make.o: cdb/cdb_make.c cdb.h uint32.h uint64.h cdb_make.h buffer.h
cdb_traverse.o: cdb/cdb_traverse.c cdb.h uint32.h uint64.h
dns_dfd.o: dns/dns_dfd.c byte.h dns.h stralloc.h iopause.h taia.h tai.h \
  uint64.h
dns_domain.o: dns/dns_domain.c case.h byte.h dns.h stralloc.h iopause.h \
  taia.h tai.h uint64.h
dns_dtda.o: dns/dns_dtda.c stralloc.h dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h
dns_ip.o: dns/dns_ip.c stralloc.h uint16.h byte.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h
dns_ip6.o: dns/dns_ip6.c stralloc.h uint16.h byte.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h ip4.h ip6.h byte.h uint32.h
dns_ipq.o: dns/dns_ipq.c stralloc.h case.h byte.h str.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h
dns_ipq6.o: dns/dns_ipq6.c stralloc.h case.h byte.h str.h dns.h \
  stralloc.h iopause.h taia.h tai.h uint64.h
dns_mx.o: dns/dns_mx.c stralloc.h byte.h uint16.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h
dns_name.o: dns/dns_name.c stralloc.h uint16.h byte.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h ip6.h byte.h uint32.h
dns_nd.o: dns/dns_nd.c byte.h fmt.h dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h
dns_nd6.o: dns/dns_nd6.c byte.h fmt.h dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h haveinline.h
dns_packet.o: dns/dns_packet.c dns.h stralloc.h iopause.h taia.h tai.h \
  uint64.h
dns_random.o: dns/dns_random.c dns.h stralloc.h iopause.h taia.h tai.h \
  uint64.h taia.h uint32.h
dns_rcip.o: dns/dns_rcip.c taia.h tai.h uint64.h openreadclose.h \
  stralloc.h byte.h ip4.h ip6.h byte.h uint32.h dns.h iopause.h taia.h
dns_rcrw.o: dns/dns_rcrw.c taia.h tai.h uint64.h byte.h str.h \
  openreadclose.h stralloc.h dns.h iopause.h taia.h
dns_resolve.o: dns/dns_resolve.c iopause.h taia.h tai.h uint64.h taia.h \
  byte.h dns.h stralloc.h iopause.h ip6.h byte.h uint32.h
dns_sortip.o: dns/dns_sortip.c byte.h dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h
dns_sortip6.o: dns/dns_sortip6.c byte.h dns.h stralloc.h iopause.h taia.h \
  tai.h uint64.h
dns_transmit.o: dns/dns_transmit.c socket.h uint16.h uint32.h byte.h \
  uint16.h dns.h stralloc.h iopause.h taia.h tai.h uint64.h ip6.h byte.h
dns_txt.o: dns/dns_txt.c stralloc.h uint16.h byte.h dns.h stralloc.h \
  iopause.h taia.h tai.h uint64.h
buffer_getline.o: examples/buffer_getline.c stralloc.h buffer.h io.h \
  uint64.h taia.h tai.h errmsg.h
byte.o: examples/byte.c byte.h buffer.h
str.o: examples/str.c str.h buffer.h
fmt_8long.o: fmt/fmt_8long.c fmt.h
fmt_8longlong.o: fmt/fmt_8longlong.c fmt.h
fmt_double.o: fmt/fmt_double.c fmt.h
fmt_fill.o: fmt/fmt_fill.c fmt.h
fmt_httpdate.o: fmt/fmt_httpdate.c fmt.h byte.h
fmt_human.o: fmt/fmt_human.c fmt.h
fmt_humank.o: fmt/fmt_humank.c fmt.h
fmt_long.o: fmt/fmt_long.c fmt.h
fmt_longlong.o: fmt/fmt_longlong.c fmt.h
fmt_minus.o: fmt/fmt_minus.c fmt.h
fmt_pad.o: fmt/fmt_pad.c fmt.h
fmt_plusminus.o: fmt/fmt_plusminus.c fmt.h
fmt_str.o: fmt/fmt_str.c fmt.h
fmt_strm_internal.o: fmt/fmt_strm_internal.c fmt.h
fmt_strn.o: fmt/fmt_strn.c fmt.h
fmt_tohex.o: fmt/fmt_tohex.c fmt.h
fmt_ulong.o: fmt/fmt_ulong.c fmt.h
fmt_ulong0.o: fmt/fmt_ulong0.c fmt.h
fmt_ulonglong.o: fmt/fmt_ulonglong.c fmt.h
fmt_xlong.o: fmt/fmt_xlong.c fmt.h haveinline.h
fmt_xlonglong.o: fmt/fmt_xlonglong.c fmt.h
io_appendfile.o: io/io_appendfile.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_block.o: io/io_block.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_canread.o: io/io_canread.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_canwrite.o: io/io_canwrite.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_check.o: io/io_check.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_close.o: io/io_close.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_closeonexec.o: io/io_closeonexec.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_createfile.o: io/io_createfile.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_dontwantread.o: io/io_dontwantread.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_dontwantwrite.o: io/io_dontwantwrite.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_eagain.o: io/io_eagain.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_fd.o: io/io_fd.c io_internal.h io.h uint64.h taia.h tai.h array.h \
  haveepoll.h havekqueue.h havedevpoll.h havesigio.h byte.h
io_finishandshutdown.o: io/io_finishandshutdown.c io_internal.h io.h \
  uint64.h taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h \
  havesigio.h
io_getcookie.o: io/io_getcookie.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_mmapwritefile.o: io/io_mmapwritefile.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h \
  iob.h
io_nonblock.o: io/io_nonblock.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_passfd.o: io/io_passfd.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_pipe.o: io/io_pipe.c io_internal.h io.h uint64.h taia.h tai.h array.h \
  haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_readfile.o: io/io_readfile.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_readwritefile.o: io/io_readwritefile.c io_internal.h io.h uint64.h \
  taia.h tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_receivefd.o: io/io_receivefd.c io_internal.h io.h uint64.h taia.h \
  tai.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_sendfile.o: io/io_sendfile.c io_internal.h io.h uint64.h taia.h tai.h \
  array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h havebsdsf.h \

## libowfat 0.28

=== debian/changelog ===
libowfat (0.28-6) unstable; urgency=low

  * Add conflict dependencies to libowfat-dietlibc-dev (Closes: #694360)

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Nov 2012 21:34:51 +0100

libowfat (0.28-5) unstable; urgency=low

  * Added debian/watch
  * debian/rules: New debhelper dh rules

 -- Roland Stigge <stigge@antcom.de>  Mon, 15 Aug 2011 19:46:53 +0200

libowfat (0.28-4) unstable; urgency=low

  * debian/control: Adding conflict markers to duplicate headers in other
    development packages
    - Conflicts: libcdb-dev - /usr/include/cdb.h (Closes: #633520)
    - Conflicts: libudt-dev - /usr/include/buffer.h (Closes: #633521)

 -- Roland Stigge <stigge@antcom.de>  Mon, 15 Aug 2011 19:46:43 +0200

libowfat (0.28-3) unstable; urgency=low

  [ Walter Franzini ]
  * Switched to Format: 3.0 (quilt)
  * Build two flavors of libowfat, one linked against glibc, the other
    against dietlibc. (Closes: #461150)
  * Fixed dependency

  [ Roland Stigge ]
  * New maintainer (Closes: #544059)
  * Added shared library version in libowfat0 (Closes: #607274)
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Sat, 09 Jul 2011 18:06:52 +0200

libowfat (0.28-2) unstable; urgency=medium

  * debian/control: Build-Depends: dietlibc-dev (>= 0.32-5) [sparc]
    (fixes build failure on sparc).

 -- Gerrit Pape <pape@smarden.org>  Mon, 26 Apr 2010 00:37:21 +0000

libowfat (0.28-1) unstable; urgency=low

  * new upstream version (closes: #550684).
  * debian/diff/0001-cvs-snapshot-20100320.diff: new; cvs snapshot
    20100320.
  * debian/rules: apply patches with -p1, not -p0.
  * debian/control: Standards-Version: 3.8.4.0.
  * debian/rules: do not ignore make clean error.

 -- Gerrit Pape <pape@smarden.org>  Sat, 20 Mar 2010 14:17:18 +0000

libowfat (0.27-1) unstable; urgency=low

  * new upstream version (closes: #435478).
  * debian/control: Conflicts: libdjbdns1-dev (closes: #447312).
  * debian/control: add Vcs-Git: http://smarden.org/git/libowfat.git/.
  * debian/implicit: update to a09db2e42c8b6a2d820754d741558e5894944746.

 -- Gerrit Pape <pape@smarden.org>  Sat, 12 Jan 2008 19:38:43 +0000

libowfat (0.24-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove version restrictions on [Build-]Depends:
    dietlibc-dev.

 -- Gerrit Pape <pape@smarden.org>  Sun, 25 Sep 2005 09:44:11 +0000

libowfat (0.23-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed, 25 May 2005 20:04:25 +0000

libowfat (0.22-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 27 Mar 2005 10:59:43 +0000

libowfat (0.21-1) unstable; urgency=low

  * new upstream version.
  * debian/control: update long description.
  * debian/copyright: license is GPLv2.
  * debian/rules: handle debian patches more gracefully; enable target
    patch-stamp; minor.

 -- Gerrit Pape <pape@smarden.org>  Thu,  3 Feb 2005 22:37:39 +0000

libowfat (0.20-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.27-0); Depends:
    dietlibc-dev (>> 0.27-0).
  * debian/copyright: minor.
  * debian/implicit: update to revision 1.10.
  * debian/rules: minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Sun,  1 Aug 2004 12:25:45 +0000

libowfat (0.19.2-2) unstable; urgency=low

  * debian/rules: install library into /usr/lib/diet/lib/; minor.
  * debian/control: Build-Depends: dietlibc-dev (>= 0.26-3); Depends:
    dietlibc-dev (>= 0.26-3).

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Jun 2004 19:17:27 +0000

libowfat (0.19.2-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.8.
  * debian/diff/epoll.diff: remove; obsolete.
  * debian/rules: disable target patch; remove workaround to suppress
    gcc-3.3 warnings (fixes build failure with gcc-2.95).
  * debian/control: Build-Depends: dietlibc-dev (>> 0.25-0).

 -- Gerrit Pape <pape@smarden.org>  Mon, 29 Mar 2004 09:01:00 +0000

libowfat (0.18-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove Origin: debian, Bugs: debbugs://bugs.debian.org
    (closes: #220090); move Section: libdevel to package libowfat-dev.
  * debian/libowfat-dev.docs: add TODO.
  * debian/diff/epoll.diff: new; define __USE_XOPEN for dietlibc-0.24.
  * debian/rules: create .diet/gcc on i386 to suppress gcc warnings in build
    logs.
  * debian/diff/man-pages.diff: remove; included upstream.

 -- Gerrit Pape <pape@smarden.org>  Sat, 28 Feb 2004 11:30:40 +0000

libowfat (0.16-4) unstable; urgency=medium

  * debian/rules: set MYARCH=parisc on hppa, MYARCH=mips on mipsel; add
    target patch: apply diffs from debian/diff/, reverse apply diffs in
    target clean.
  * debian/diff/man-pages.diff: new; man pages for scan_ulonglong(),
    scan_short(), fmt_longlong(), fmt_ulonglong(), fmt_xlonglong(),
    scan_xlonglong() (taken from upstream cvs, closes: #202582).

 -- Gerrit Pape <pape@smarden.org>  Mon,  9 Feb 2004 11:06:51 +0000

libowfat (0.16-3) unstable; urgency=low

  * debian/rules: use implicit Makefile rules; install static library into
    /usr/lib/diet/lib-$(ARCH)/; support 'nostrip' in DEB_BUILD_OPTIONS.
  * debian/implicit: new; implicit rules.
  * debian/libowfat-dev.docs: new.

 -- Gerrit Pape <pape@smarden.org>  Wed, 28 Jan 2004 09:42:53 +0000

libowfat (0.16-2) unstable; urgency=low

  * debian/control: Depends: dietlibc-dev (>> 0.24-0); Standards-Version:
    3.6.1.0.
  * debian/rules: install header files into /usr/include/diet/; install man
    pages into section 3diet to resolve conflict with libdjbdns1-dev and
    possibly other packages; minor.

 -- Gerrit Pape <pape@smarden.org>  Tue, 16 Dec 2003 11:28:42 +0000

libowfat (0.16-1) unstable; urgency=low

  * new maintainer; thanks Christian Kurz.
  * new upstream version.
  * debian/copyright: minor adaptations.
  * debian/control: new maintainer; Build-Depends: dietlibc-dev (>> 0.24-0).


=== debian/control ===
Source: libowfat
Section: libs
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Standards-Version: 3.9.2
Build-Depends: dietlibc-dev, dietlibc-dev (>= 0.32-5) [sparc], debhelper (>= 7.0.50~)
Homepage: http://www.fefe.de/libowfat/

Package: libowfat0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reimplementation of libdjb, shared library
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains the shared library linked against glibc.  The library is
 also available for use with the diet libc (see libowfat-dietlibc-dev).

Package: libowfat-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libowfat0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdjbdns1-dev, libudt-dev, libcdb-dev
Description: Reimplementation of libdjb, development files
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains libowfat linked with glibc, and man pages.
 
Package: libowfat-dietlibc-dev
Section: libdevel
Architecture: any
Depends: dietlibc-dev, ${misc:Depends}
Conflicts: libdjbdns1-dev
Breaks:   libowfat-dev (<< 0.28-3)
Replaces: libowfat-dev (<< 0.28-3)
Description: Reimplementation of libdjb, dietlibc version
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains libowfat linked with dietlibc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir build-glibc
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-glibc SRC=$(CURDIR)/ DIET='' SHARED=1 libowfat.so
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-glibc SRC=$(CURDIR)/ clean
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-glibc SRC=$(CURDIR)/ DIET=''

	mkdir build-diet
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-diet SRC=$(CURDIR)/ DIET='diet -v -Os'
	touch build-stamp

override_dh_clean:
	dh_clean # doesn't remove directories
	-rm -rf build-glibc build-diet

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# empty targets:
override_dh_auto_install:

## libowfat 0.29

=== Makefile ===
# do not edit!  edit GNUmakefile instead
# Warning!  There is no real "make install" support.
# The include files are named after the djb, i.e. pretty generic.  They
# will probably conflict with other headers.  That's why I install them
# in /opt/diet, where they are in the default search path for my diet libc
# work but don't conflict with anything there.  YMMV.

prefix=/opt/diet
LIBDIR=${prefix}/lib
INCLUDEDIR=${prefix}/include
MAN3DIR=${prefix}/man/man3

LIBS=byte.a fmt.a scan.a str.a uint.a open.a stralloc.a unix.a socket.a \
buffer.a mmap.a taia.a tai.a dns.a case.a mult.a array.a io.a \
textcode.a cdb.a

all: $(LIBS) libowfat.a libsocket t

CROSS=
#CROSS=i686-mingw-
CC=$(CROSS)gcc
CFLAGS=-pipe -W -Wall -O2 -fomit-frame-pointer
#CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall

# CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2

CFLAGS += -D_REENTRANT

array_allocate.o: array/array_allocate.c likely.h safemult.h uint16.h \
 uint32.h uint64.h array.h byte.h
array_bytes.o: array/array_bytes.c array.h uint64.h
array_cat.o: array/array_cat.c array.h uint64.h byte.h
array_cat0.o: array/array_cat0.c array.h uint64.h
array_catb.o: array/array_catb.c array.h uint64.h byte.h
array_cate.o: array/array_cate.c array.h uint64.h
array_cats.o: array/array_cats.c array.h uint64.h str.h
array_cats0.o: array/array_cats0.c array.h uint64.h str.h
array_equal.o: array/array_equal.c byte.h array.h uint64.h
array_fail.o: array/array_fail.c array.h uint64.h
array_get.o: array/array_get.c likely.h safemult.h uint16.h uint32.h \
 uint64.h array.h
array_length.o: array/array_length.c array.h uint64.h
array_reset.o: array/array_reset.c array.h uint64.h
array_start.o: array/array_start.c array.h uint64.h
array_trunc.o: array/array_trunc.c array.h uint64.h
array_truncate.o: array/array_truncate.c likely.h safemult.h uint16.h \
 uint32.h uint64.h array.h
iarray_allocate.o: array/iarray_allocate.c likely.h iarray.h uint64.h
iarray_free.o: array/iarray_free.c iarray.h uint64.h
iarray_get.o: array/iarray_get.c iarray.h uint64.h
iarray_init.o: array/iarray_init.c iarray.h uint64.h
buffer_0.o: buffer/buffer_0.c buffer.h
buffer_0small.o: buffer/buffer_0small.c buffer.h
buffer_1.o: buffer/buffer_1.c buffer.h
buffer_1small.o: buffer/buffer_1small.c buffer.h
buffer_2.o: buffer/buffer_2.c buffer.h
buffer_close.o: buffer/buffer_close.c buffer.h
buffer_feed.o: buffer/buffer_feed.c buffer.h
buffer_flush.o: buffer/buffer_flush.c buffer.h
buffer_fromsa.o: buffer/buffer_fromsa.c stralloc.h buffer.h
buffer_get.o: buffer/buffer_get.c byte.h buffer.h
buffer_get_new_token_sa.o: buffer/buffer_get_new_token_sa.c stralloc.h \
 buffer.h
buffer_get_new_token_sa_pred.o: buffer/buffer_get_new_token_sa_pred.c \
 stralloc.h buffer.h
buffer_get_token.o: buffer/buffer_get_token.c byte.h buffer.h scan.h
buffer_get_token_pred.o: buffer/buffer_get_token_pred.c byte.h buffer.h \
 scan.h
buffer_get_token_sa.o: buffer/buffer_get_token_sa.c byte.h stralloc.h \
 buffer.h
buffer_get_token_sa_pred.o: buffer/buffer_get_token_sa_pred.c byte.h \
 stralloc.h buffer.h
buffer_getc.o: buffer/buffer_getc.c byte.h buffer.h
buffer_getline.o: buffer/buffer_getline.c buffer.h
buffer_getline_sa.o: buffer/buffer_getline_sa.c stralloc.h buffer.h
buffer_getn.o: buffer/buffer_getn.c byte.h buffer.h
buffer_getnewline_sa.o: buffer/buffer_getnewline_sa.c stralloc.h buffer.h
buffer_init.o: buffer/buffer_init.c buffer.h
buffer_init_free.o: buffer/buffer_init_free.c buffer.h
buffer_mmapread.o: buffer/buffer_mmapread.c buffer.h mmap.h
buffer_peek.o: buffer/buffer_peek.c buffer.h
buffer_put.o: buffer/buffer_put.c byte.h buffer.h
buffer_put8long.o: buffer/buffer_put8long.c buffer.h fmt.h
buffer_putalign.o: buffer/buffer_putalign.c byte.h buffer.h
buffer_puterror.o: buffer/buffer_puterror.c buffer.h
buffer_puterror2.o: buffer/buffer_puterror2.c buffer.h
buffer_putflush.o: buffer/buffer_putflush.c buffer.h
buffer_putlong.o: buffer/buffer_putlong.c buffer.h fmt.h
buffer_putlonglong.o: buffer/buffer_putlonglong.c buffer.h fmt.h
buffer_putm_internal.o: buffer/buffer_putm_internal.c buffer.h
buffer_putm_internal_flush.o: buffer/buffer_putm_internal_flush.c \
 buffer.h
buffer_putnlflush.o: buffer/buffer_putnlflush.c str.h buffer.h
buffer_puts.o: buffer/buffer_puts.c str.h buffer.h
buffer_putsa.o: buffer/buffer_putsa.c stralloc.h buffer.h
buffer_putsaflush.o: buffer/buffer_putsaflush.c stralloc.h buffer.h
buffer_putsalign.o: buffer/buffer_putsalign.c str.h buffer.h
buffer_putsflush.o: buffer/buffer_putsflush.c str.h buffer.h
buffer_putspace.o: buffer/buffer_putspace.c str.h buffer.h
buffer_putulong.o: buffer/buffer_putulong.c buffer.h fmt.h
buffer_putulonglong.o: buffer/buffer_putulonglong.c buffer.h fmt.h
buffer_putxlong.o: buffer/buffer_putxlong.c buffer.h fmt.h
buffer_seek.o: buffer/buffer_seek.c buffer.h
buffer_stubborn.o: buffer/buffer_stubborn.c buffer.h
buffer_stubborn2.o: buffer/buffer_stubborn2.c buffer.h
buffer_tosa.o: buffer/buffer_tosa.c stralloc.h buffer.h
errmsg_iam.o: buffer/errmsg_iam.c errmsg.h
errmsg_info.o: buffer/errmsg_info.c errmsg.h errmsg_int.h str.h
errmsg_infosys.o: buffer/errmsg_infosys.c errmsg.h errmsg_int.h str.h
errmsg_puts.o: buffer/errmsg_puts.c errmsg.h errmsg_int.h str.h
errmsg_warn.o: buffer/errmsg_warn.c errmsg.h errmsg_int.h str.h
errmsg_warnsys.o: buffer/errmsg_warnsys.c errmsg.h errmsg_int.h str.h
errmsg_write.o: buffer/errmsg_write.c errmsg.h errmsg_int.h
byte_chr.o: byte/byte_chr.c byte.h
byte_copy.o: byte/byte_copy.c byte.h
byte_copyr.o: byte/byte_copyr.c byte.h
byte_diff.o: byte/byte_diff.c byte.h
byte_equal_notimingattack.o: byte/byte_equal_notimingattack.c byte.h
byte_rchr.o: byte/byte_rchr.c byte.h
byte_zero.o: byte/byte_zero.c byte.h
case_diffb.o: case/case_diffb.c case.h
case_diffs.o: case/case_diffs.c case.h
case_lowerb.o: case/case_lowerb.c case.h
case_lowers.o: case/case_lowers.c case.h
case_starts.o: case/case_starts.c case.h
cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h
cdb_hash.o: cdb/cdb_hash.c cdb.h uint32.h uint64.h
cdb_make.o: cdb/cdb_make.c cdb.h uint32.h uint64.h cdb_make.h buffer.h
cdb_traverse.o: cdb/cdb_traverse.c cdb.h uint32.h uint64.h
dns_dfd.o: dns/dns_dfd.c byte.h dns.h stralloc.h iopause.h taia.h tai.h \
 uint64.h uint32.h
dns_domain.o: dns/dns_domain.c case.h byte.h dns.h stralloc.h iopause.h \
 taia.h tai.h uint64.h uint32.h
dns_dtda.o: dns/dns_dtda.c stralloc.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_ip.o: dns/dns_ip.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
dns_ip6.o: dns/dns_ip6.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h ip4.h ip6.h byte.h
dns_ipq.o: dns/dns_ipq.c stralloc.h case.h byte.h str.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
dns_ipq6.o: dns/dns_ipq6.c stralloc.h case.h byte.h str.h dns.h \
 stralloc.h iopause.h taia.h tai.h uint64.h uint32.h
dns_mx.o: dns/dns_mx.c stralloc.h byte.h uint16.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
dns_name.o: dns/dns_name.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h ip6.h byte.h
dns_nd.o: dns/dns_nd.c byte.h fmt.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_nd6.o: dns/dns_nd6.c byte.h fmt.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h haveinline.h
dns_packet.o: dns/dns_packet.c dns.h stralloc.h iopause.h taia.h tai.h \
 uint64.h uint32.h
dns_random.o: dns/dns_random.c dns.h stralloc.h iopause.h taia.h tai.h \
 uint64.h uint32.h taia.h uint32.h
dns_rcip.o: dns/dns_rcip.c taia.h tai.h uint64.h uint32.h openreadclose.h \
 stralloc.h byte.h ip4.h ip6.h byte.h dns.h iopause.h taia.h
dns_rcrw.o: dns/dns_rcrw.c taia.h tai.h uint64.h uint32.h byte.h str.h \
 openreadclose.h stralloc.h dns.h iopause.h taia.h
dns_resolve.o: dns/dns_resolve.c iopause.h taia.h tai.h uint64.h uint32.h \
 taia.h byte.h dns.h stralloc.h iopause.h ip6.h byte.h
dns_sortip.o: dns/dns_sortip.c byte.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_sortip6.o: dns/dns_sortip6.c byte.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_transmit.o: dns/dns_transmit.c socket.h uint16.h uint32.h byte.h \
 uint16.h dns.h stralloc.h iopause.h taia.h tai.h uint64.h ip6.h byte.h
dns_txt.o: dns/dns_txt.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
buffer_getline.o: examples/buffer_getline.c stralloc.h buffer.h io.h \
 uint64.h taia.h tai.h uint32.h errmsg.h
byte.o: examples/byte.c byte.h buffer.h
str.o: examples/str.c str.h buffer.h
fmt_8long.o: fmt/fmt_8long.c fmt.h
fmt_8longlong.o: fmt/fmt_8longlong.c fmt.h
fmt_asn1derlength.o: fmt/fmt_asn1derlength.c fmt.h
fmt_asn1dertag.o: fmt/fmt_asn1dertag.c fmt.h
fmt_double.o: fmt/fmt_double.c fmt.h
fmt_fill.o: fmt/fmt_fill.c fmt.h
fmt_httpdate.o: fmt/fmt_httpdate.c fmt.h byte.h
fmt_human.o: fmt/fmt_human.c fmt.h
fmt_humank.o: fmt/fmt_humank.c fmt.h
fmt_long.o: fmt/fmt_long.c fmt.h
fmt_longlong.o: fmt/fmt_longlong.c fmt.h
fmt_minus.o: fmt/fmt_minus.c fmt.h
fmt_pad.o: fmt/fmt_pad.c fmt.h
fmt_plusminus.o: fmt/fmt_plusminus.c fmt.h
fmt_str.o: fmt/fmt_str.c fmt.h
fmt_strm_internal.o: fmt/fmt_strm_internal.c fmt.h
fmt_strn.o: fmt/fmt_strn.c fmt.h
fmt_tohex.o: fmt/fmt_tohex.c fmt.h
fmt_ulong.o: fmt/fmt_ulong.c fmt.h
fmt_ulong0.o: fmt/fmt_ulong0.c fmt.h
fmt_ulonglong.o: fmt/fmt_ulonglong.c fmt.h
fmt_utf8.o: fmt/fmt_utf8.c fmt.h
fmt_xlong.o: fmt/fmt_xlong.c fmt.h haveinline.h
fmt_xlonglong.o: fmt/fmt_xlonglong.c fmt.h
io_appendfile.o: io/io_appendfile.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_block.o: io/io_block.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_canread.o: io/io_canread.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_canwrite.o: io/io_canwrite.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_check.o: io/io_check.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_close.o: io/io_close.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_closeonexec.o: io/io_closeonexec.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_createfile.o: io/io_createfile.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_dontwantread.o: io/io_dontwantread.c io_internal.h io.h uint64.h \
 taia.h tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h byte.h
io_dontwantwrite.o: io/io_dontwantwrite.c io_internal.h io.h uint64.h \
 taia.h tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h byte.h
io_eagain.o: io/io_eagain.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h
io_fd.o: io/io_fd.c io_internal.h io.h uint64.h taia.h tai.h uint32.h \
 array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h byte.h
io_finishandshutdown.o: io/io_finishandshutdown.c io_internal.h io.h \
 uint64.h taia.h tai.h uint32.h array.h haveepoll.h havekqueue.h \
 havedevpoll.h havesigio.h
io_getcookie.o: io/io_getcookie.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_mmapwritefile.o: io/io_mmapwritefile.c io_internal.h io.h uint64.h \
 taia.h tai.h uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h iob.h
io_nonblock.o: io/io_nonblock.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h haveepoll.h havekqueue.h havedevpoll.h havesigio.h

=== debian/changelog ===
libowfat (0.29-4) unstable; urgency=medium

  * Fix FTBFS w/ clang, patch by Arthur Marble (Closes: #739564)
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Sat, 12 Apr 2014 10:36:40 +0200

libowfat (0.29-3) unstable; urgency=low

  * Added patch to set FD_CLOEXEC incorrectly with F_SETFL instead of F_SETFD,
    thanks to Guillem Jover (Closes: #696251)
  * debian/control:
    - Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 15:53:33 +0200

libowfat (0.29-2) experimental; urgency=low

  * Add conflict dependencies to libowfat-dietlibc-dev (Closes: #694360)

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Nov 2012 21:45:11 +0100

libowfat (0.29-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    - Standards-Version: 3.9.3
    - Build-Depends: debhelper (>= 9)

 -- Roland Stigge <stigge@antcom.de>  Sat, 03 Nov 2012 15:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.2
-Build-Depends: dietlibc-dev, dietlibc-dev (>= 0.32-5) [sparc], debhelper (>= 7.0.50~)
+Standards-Version: 3.9.5
+Build-Depends: dietlibc-dev, dietlibc-dev (>= 0.32-5) [sparc], debhelper (>= 9)
 Homepage: http://www.fefe.de/libowfat/
 
 Package: libowfat0
@@ -45,7 +45,7 @@
 Architecture: any
 Depends: dietlibc-dev, ${misc:Depends}
 Conflicts: libdjbdns1-dev
-Breaks:   libowfat-dev (<< 0.28-3)
+Breaks: libowfat-dev (<< 0.28-3)
 Replaces: libowfat-dev (<< 0.28-3)
 Description: Reimplementation of libdjb, dietlibc version
  This library is a reimplementation of libdjb, which means that it provides
@@ -58,3 +58,4 @@
  layer of mmap and sendfile.
  .
  This package contains libowfat linked with dietlibc.
+

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
